Wingify SDK allows you to track conversions using trackConversion API. There could be scenarios when you would like to track conversions without using the SDK.
To understand this in detail, let's take an example, where you have your own centralized data-storage service which stores the information of all the events. Whenever a conversion happens at your application, you store the data in the storage service but the integrated tools like Wingify do not know about this conversion. Let's assume you do not prefer real-time syncing of this data with Wingify and therefore, you run a cron job at the end of the day to sync conversions data with Wingify. To achieve this, you would want an HTTP API to send the conversions data of all the users who became part of the campaign back to Wingify.
Wingify offers an endpoint that you can use to mark a conversion for a particular user who became part of the campaign earlier, by calling it with the required parameters.
Endpoint Details
Endpoint - https://dacdn.visualwebsiteoptimizer.com/track-goal
Query Parameters
| Name | Description | Data Type |
|---|---|---|
| account_id Required | Wingify Account ID | Number Example: 123456 |
experiment_id
| ID of the running Mobile campaign | Number Example: 123 |
| u Required | MD5 UUID | String Example: 5d7c94a905a54ae0ab3d6221c8f76f1d |
user_id
| Human readable data
| String | Number Example: [email protected], vwo-user-123, 12.34.56.78, etc. |
| combination Required | The variation ID assigned to the User which he became part of the campaign(can be extracted from the detailed report CSV) | Number Example: 2(Variation-1), 1(Control), 10, etc. |
goal_id
| The goal ID you want the conversion data to be associated with. | Number Example: 201 |
| random Required | A unique random number to bust the caching | Number | Double Example: 0.25227311885823933 |
| r Optional | Revenue value. This is only required if the Wingify campaign goal is of Revenue type. | Number | Double Example: 10000, 10.5 |
Please NoteIf you pass user_id, then u is not required or will not be used by Wingify server.
Example Usage
https://dacdn.visualwebsiteoptimizer.com/track-goal?experiment_id=123&account_id=123456&combination=2&uid=1d7c94a905a54ae0ab3d6221c8f76f1f&random=0.25227311885823933&goal_id=201;